#!/bin/sh



CC = gcc
CFLAGS=-D_REENTRANT -g -pg -Wall

COMPILE_SUFFIX = $(INCLUDE_FLAGS)
LINK_SUFFIX = $(INCLUDE_FLAGS)

PROGS = statTest
LIB_OBJ =	sysStat.o

ALL_OBJ =	statTest.o  sysStat.o

default: all

all: $(PROGS)

$(PROGS): $(ALL_OBJ)
	@echo Linking $@
	ar r libsysStat.a $(LIB_OBJ)
	@$(CC) $(CFLAGS) -o $@ $(ALL_OBJ) $(LINK_SUFFIX) -lm
	# rm -rf *.o

statTest.o: statTest.c 
	$(CC) $(CFLAGS) -c statTest.c

sysStat.o: sysStat.c 
	$(CC) $(CFLAGS) -c sysStat.c

clean:
	rm -f *.o *.a $(PROGS)
